# optimsimplex_getx

Gets the coordinates of the vertex at given index.

## Calling Sequence

                x = optimsimplex_getx(opt, ive)

## Argument

opt

  The current simplex object of TSIMPLEX type (tlist).

ive

  An integer, the vectex index.

x

  The coordinates of the point, as a row vector.

## Description

The `optimsimplex_getx` function returns the coordinates of the vertex at given index, as a row vector.

## Example

        simplex = [
    3.  0.  0.
    4. 1.  0.
    5. 0.  2.
    ];
    s1 = optimsimplex_new ();
    s1 = optimsimplex_setall ( s1 , simplex );
        x1 = optimsimplex_getx(s1, 1);
        x2 = optimsimplex_getx(s1, 2);
        x3 = optimsimplex_getx(s1, 3);
        disp(x1)
        disp(x2)
        disp(x3)
        s1 = optimsimplex_destroy(s1);

## See Also

- optimsimplex_setx
- optimsimplex_getall
- optimsimplex_getallx
- optimsimplex_setall
- optimsimplex_setallx